// pages/Home/Home.js
Page({
  SoilPro() {
    wx.navigateTo({
      url: '/pages/SoilPro/SoilPro'
    });
  },
  onShow: function() {
 
    if (typeof this.getTabBar === 'function' && this.getTabBar()) {
      this.getTabBar().setData({
        selected: 1  //这个数字是当前页面在tabBar中list数组的索引
      })
    }
},
  Calculation() {
    wx.navigateTo({
      url: '/pages/Calculation/Calculation'
    });
  },
  Soil_Acidification_Iterative_Evolution() {
    wx.navigateTo({
      url: '/pages/Soil Acidification Iterative Evolution/Soil Acidification Iterative Evolution'
    });
  },
})